From dcafa5f713538349011448e70fd4bdd048972da8 Mon Sep 17 00:00:00 2001
From: Nils Philippsen <nils@redhat.com>
Date: Dec 12 2017 16:58:14 +0000
Subject: [PATCH 35/51] more comments


---

diff --git a/src/_fedmod/modulemd_linter.py b/src/_fedmod/modulemd_linter.py
index 5617e20..65e65c2 100644
--- a/src/_fedmod/modulemd_linter.py
+++ b/src/_fedmod/modulemd_linter.py
@@ -104,8 +104,10 @@ class ModuleMDLinter(object):
     check succeeds but throw a LintCheckFailed exception otherwise. An easy way
     to do this is using the available check*() methods."""
 
+    # PyYAML decodes numerical strings as int or float
     yaml_scalar_types = (str, int, float)
 
+    # 'str' for any scalar type
     components_keys_types = {
         'rationale': str,
         'buildorder': int,

